%define name seahorse-plugins
%define version 2.30.1
%define release %mkrel 1

%define epiphany 2.28

Name:		%{name}
Summary:	Plugins and utilities for encryption in GNOME
Version:	%{version}
Release:	%{release}
License:	GPLv2+ and GFDL
Group:		Graphical desktop/GNOME
URL:		http://seahorse.sourceforge.net/
Source:		http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Source1:	seahorse-agent.sh
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:  libseahorse-devel
BuildRequires:  libgpgme-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  evolution-data-server-devel
BuildRequires:  gnome-panel-devel
BuildRequires:  gedit-devel
BuildRequires:  libnautilus-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  intltool
BuildRequires:  gnome-common
Requires: seahorse >= 2.23.5
Requires(post): scrollkeeper shared-mime-info
Requires(postun):scrollkeeper shared-mime-info
Obsoletes:	seahorse-epiphany

%description
Seahorse is a GNOME2 frontend for the GNU Privacy Guard ecryption tool. It can 
be used for file encryption and decryption and for digitally signing files and 
for verifying those signatures. Key management options are also included.


%prep

%setup -q

%build
autoreconf -fis
export CPPFLAGS="$CPPFLAGS -DLIBCRYPTUI_API_SUBJECT_TO_CHANGE"
%configure2_5x --enable-fast-install --disable-update-mime-database
%make

%install
rm -rf $RPM_BUILD_ROOT seahorse*.lang

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std _ENABLE_SK=false
rm -f %buildroot%_libdir/{gedit-2/plugins/libseahorse-pgp.a,nautilus/extensions-2.0/*.a}


%{find_lang} %name --with-gnome
%{find_lang} seahorse-applet --with-gnome
cat seahorse-applet.lang >> %name.lang
for omf in %buildroot%_datadir/omf/*/*-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done

# gw conflict with seahorse
rm -f %buildroot%_datadir/icons/hicolor/48x48/apps/seahorse.png
rm -f %buildroot%_datadir/icons/hicolor/48x48/apps/seahorse-preferences.png

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/X11/xinit.d/
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%_sysconfdir/X11/xinit.d/seahorse-agent.sh

 
%post
%{update_menus}
%define schemas seahorse-plugins seahorse-gedit
%post_install_gconf_schemas %schemas
%update_desktop_database
%update_icon_cache hicolor
%update_scrollkeeper
%update_mime_database

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%{clean_menus} 
%clean_desktop_database
%clean_icon_cache hicolor
%clean_scrollkeeper
%clean_mime_database


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%_sysconfdir/X11/xinit.d/seahorse-agent.sh
%{_sysconfdir}/gconf/schemas/seahorse-plugins.schemas
%{_sysconfdir}/gconf/schemas/seahorse-gedit.schemas
%_bindir/seahorse-agent
%_bindir/seahorse-preferences
%_bindir/seahorse-tool
%_libdir/bonobo/servers/GNOME_SeahorseApplet.server
%_libdir/gedit-2/plugins/libseahorse-pgp.*
%_libdir/gedit-2/plugins/seahorse-pgp.gedit-plugin
%_libdir/nautilus/extensions-2.0/libnautilus-seahorse.*
%_libexecdir/seahorse/seahorse-applet
%_datadir/applications/seahorse-pgp*
%_datadir/gnome-2.0/ui/GNOME_SeahorseApplet.xml
%_datadir/mime/packages/seahorse.xml
%_datadir/%name
%_mandir/man1/*
%_datadir/pixmaps/*
%dir %{_datadir}/omf/seahorse-plugins/
%dir %{_datadir}/omf/seahorse-applet/
%{_datadir}/omf/seahorse-applet/seahorse-applet-C.omf
%{_datadir}/omf/seahorse-plugins/seahorse-plugins-C.omf
%_datadir/icons/hicolor/*/apps/*



%changelog
* Tue Apr 27 2010 Texstar <texstar at gmail.com> 2.30.1-1pclos2010
- 2.30.1

* Sat Oct 25 2009 Texstar <texstar at gmail.com> 2.28.1-1pclos2010
- 2.28.1

* Fri Jul 03 2009 slick50 <lxgator@gmail.com> 2.26.2-1pclos2009
- 2.26.2


